CVE-2004-1665
CVSS4.3
发布时间 :2004-09-05 00:00:00
修订时间 :2016-10-17 22:58:42
NMCOES    

[原文]Cross-site scripting (XSS) vulnerability in index.php in PsNews 1.1 allows remote attackers to inject arbitrary web script or HTML via the no parameter.


[CNNVD]PSNews No参数跨站脚本漏洞(CNNVD-200409-011)

        PsNews 1.1版本的index.php存在跨站脚本(XSS)漏洞。远程攻击者借助no参数注入任意web脚本或者HTML。

- CVSS (基础分值)

CVSS分值: 4.3 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1665
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1665
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200409-011
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=109458516524494&w=2
(UNKNOWN)  BUGTRAQ  20040905 Bug XSS in PsNews 1.1
http://securitytracker.com/id?1011191
(UNKNOWN)  SECTRACK  1011191
http://www.securityfocus.com/bid/11124
(VENDOR_ADVISORY)  BID  11124
http://xforce.iss.net/xforce/xfdb/17302
(VENDOR_ADVISORY)  XF  psnews-xss(17302)

- 漏洞信息

PSNews No参数跨站脚本漏洞
中危 跨站脚本
2004-09-05 00:00:00 2005-10-20 00:00:00
远程  
        PsNews 1.1版本的index.php存在跨站脚本(XSS)漏洞。远程攻击者借助no参数注入任意web脚本或者HTML。

- 公告与补丁

        Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com .

- 漏洞信息 (24575)

PSNews 1.1 No Parameter Cross-Site Scripting Vulnerability (EDBID:24575)
php webapps
2004-09-05 Verified
0 Michal Blaszczak
N/A [点击下载]
source: http://www.securityfocus.com/bid/11124/info

PSNews is a Web application that is implemented in PHP.

PSNews is affected by a cross-site scripting vulnerability. This issue is due to a failure of the application to properly sanitize user-supplied URI input.

This vulnerability is reported to exist in version 1.1 of PSNews.

http://www.example.com/index.php?function=show_all&no=%253cscript>alert%2528document.cookie);%253c/script>
http://www.example.com/index.php?function=add_kom&no=">%20<font%20size="20"%20color=red>%20<b>%20WackY%20%20</font>		

- 漏洞信息

9786
PSnews index.php Multiple Parameter XSS
Remote / Network Access Input Manipulation
Loss of Integrity Solution Unknown
Exploit Public

- 漏洞描述

PSnews contains a flaw that allows a remote cross site scripting attack. This flaw exists because the application does not validate 'show_all' and 'add_kom' variables upon submission to the 'index.php' script. This could allow a user to create a specially crafted URL that would execute arbitrary code in a user's browser within the trust relationship between the browser and the server, leading to a loss of integrity.

- 时间线

2004-09-05 Unknow
2004-09-05 Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

- 漏洞信息

PSNews No Parameter Cross-Site Scripting Vulnerability
Input Validation Error 11124
Yes No
2004-09-05 12:00:00 2009-07-12 07:06:00
Discovery is credited to Michal Blaszczak <wacky@nicponie.org>.

- 受影响的程序版本

PSnews PSnews 1.1

- 漏洞讨论

PSNews is a Web application that is implemented in PHP.

PSNews is affected by a cross-site scripting vulnerability. This issue is due to a failure of the application to properly sanitize user-supplied URI input.

This vulnerability is reported to exist in version 1.1 of PSNews.

- 漏洞利用

No exploit is required.

The following proof of concept is available:
http://www.example.com/index.php?function=show_all&amp;no=%253cscript&gt;alert%2528document.cookie);%253c/script&gt;
http://www.example.com/index.php?function=add_kom&amp;no="&gt;%20&lt;font%20size="20"%20color=red&gt;%20&lt;b&gt;%20WackY%20%20&lt;/font&gt;

- 解决方案

Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站